## python-tornado 5.1.1

=== maint/requirements.txt ===
alabaster==0.7.10
attrs==17.4.0
Automat==0.6.0
autopep8==1.3.4
Babel==2.5.3
certifi==2018.1.18
chardet==3.0.4
constantly==15.1.0
coverage==4.5.1
docutils==0.14
flake8==3.5.0
hyperlink==18.0.0
idna==2.6
imagesize==1.0.0
incremental==17.5.0
Jinja2==2.10
MarkupSafe==1.0
mccabe==0.6.1
packaging==17.1
pep8==1.7.1
pkginfo==1.4.2
pluggy==0.6.0
py==1.5.2
pycares==2.3.0
pycodestyle==2.3.1
pycurl==7.43.0.1
pyflakes==1.6.0
Pygments==2.2.0
pyparsing==2.2.0
pytz==2018.3
requests==2.18.4
requests-toolbelt==0.8.0
six==1.11.0
snowballstemmer==1.2.1
Sphinx==1.7.1
sphinx-rtd-theme==0.2.4
sphinxcontrib-websupport==1.0.1
tox==2.9.1
tqdm==4.19.8
twine==1.10.0
Twisted==17.9.0
urllib3==1.22
virtualenv==15.1.0
zope.interface==4.4.3

=== debian/changelog ===
python-tornado (5.1.1-4) unstable; urgency=medium

  * d/patches/0007-Higher-test_gc-timeout.patch: Added, fixies FTBS on mipsel

 -- Ondřej Nový <onovy@debian.org>  Sat, 26 Jan 2019 13:15:05 +0100

python-tornado (5.1.1-3) unstable; urgency=medium

  * Set TRAVIS env variable to "true"
  * Use SOURCE_DATE_EPOCH for copyright year to make build reproducible
  * Bump Standards-Version to 4.3.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 17:24:12 +0100

python-tornado (5.1.1-2) unstable; urgency=medium

  * Set ASYNC_TEST_TIMEOUT to higher value to prevent test failing
    on slower archs during build

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 17:34:36 +0200

python-tornado (5.1.1-1) unstable; urgency=medium

  * New upstream release
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Rebase patches, drop sockopt.patch (applied upstream)
  * Regenerate test crt, newer OpenSSL require at least RSA 2048bit
  * d/p/skip-timing-tests.patch:
    Drop and set TRAVIS+NO_NETWORK envs in d/rules instead
  * Add upstream metadata
  * Standards version is 4.2.1 now (no changes)

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 16:15:02 +0200

=== debian/control ===
Source: python-tornado
Section: web
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Carl Chenet <chaica@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
           Julian Taylor <jtaylor.debian@googlemail.com>,
           Julien Puydt <julien.puydt@laposte.net>,
           Ondřej Nový <onovy@debian.org>,
Build-Depends: ca-certificates,
               debhelper (>= 11),
               dh-python,
               python-all-dev,
               python-backports-abc,
               python-concurrent.futures,
               python-mock,
               python-pycurl,
               python-setuptools,
               python-singledispatch,
               python-twisted,
               python3-all-dev,
               python3 (>= 3.5) | python3-backports-abc,
               python3-doc,
               python3-mock,
               python3-pycurl,
               python3-setuptools,
               python3-singledispatch,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-twisted,
Standards-Version: 4.3.0
Homepage: http://www.tornadoweb.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-tornado.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tornado

Package: python-tornado
Architecture: any
Depends: ca-certificates,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Suggests: python-mysqldb,
          python-pycurl,
          python-tornado-doc,
          python-twisted,
Recommends: python-concurrent.futures,
Breaks: python-zmq (<< 17.0.0-1~)
Description: scalable, non-blocking web server and tools
 Tornado is a Python web framework and asynchronous networking library,
 originally developed at FriendFeed. By using non-blocking network I/O,
 Tornado can scale to tens of thousands of open connections, making it ideal
 for long polling, WebSockets, and other applications that require a
 long-lived connection to each user.
 .
 This is the Python 2 version of the package.

Package: python3-tornado
Architecture: any
Depends: ca-certificates,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python3-pycurl,
          python-tornado-doc,
          python3-twisted,
Breaks: python3-zmq (<< 17.0.0-1~)
Description: scalable, non-blocking web server and tools - Python 3 package
 Tornado is a Python web framework and asynchronous networking library,
 originally developed at FriendFeed. By using non-blocking network I/O,
 Tornado can scale to tens of thousands of open connections, making it ideal
 for long polling, WebSockets, and other applications that require a
 long-lived connection to each user.
 .
 This is the Python 3 version of the package.

Package: python-tornado-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         python3-doc,
Description: scalable, non-blocking web server and tools - documentation
 Tornado is a Python web framework and asynchronous networking library,
 originally developed at FriendFeed. By using non-blocking network I/O,
 Tornado can scale to tens of thousands of open connections, making it ideal
 for long polling, WebSockets, and other applications that require a
 long-lived connection to each user.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=tornado
export PYBUILD_TEST_ARGS={interpreter} ./tornado/test/runtests.py --verbose
export TRAVIS=true
export NO_NETWORK=1
export ASYNC_TEST_TIMEOUT=30
# py3 tests is failling without this
export HOME=/tmp

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYTHONPATH=. dh_auto_test

override_dh_compress:
	dh_compress -X.py

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html docs $(CURDIR)/debian/python-tornado-doc/usr/share/doc/python-tornado/html
	dh_sphinxdoc
endif

override_dh_installchangelogs:
	rm -f debian/upstream-changelog
	set -e ; for i in $$(find docs/releases/ -name "*.rst" | sort -V -r) ; do \
		cat $$i ; \
		echo "" ; \
	done >>debian/upstream-changelog

	dh_installchangelogs debian/upstream-changelog

## python-tornado 6.0.3%2Breally5.1.1

=== debian/changelog ===
python-tornado (6.0.3+really5.1.1-3ubuntu0.1~esm3) focal-security; urgency=medium

  * SECURITY UPDATE: Cross site scripting in custom HTTP headers.
    - debian/patches/CVE-2025-67724-pre*.patch: Restrict headers to printable
      ASCII characters in tornado/httputil.py.
    - debian/patches/CVE-2025-67724.patch: Add check for "<" and add
      escape.xhtml_escape in status messages in tornado/web.py. Add tests in
      tornado/test/web_test.py.
    - debian/patches/CVE-2025-67224-post1.patch: Replace reason[0] with
      to_unicode(reason[0]) to pass tests in tornado/test/web_test.py.
    - CVE-2025-67724
  * SECURITY UPDATE: Denial of service due to malicious HTTP requests with
    repeated header names.
    - debian/patches/CVE-2025-67725.patch: Replace self._dict with
      self._combined_cache in tornado/httputil.py. Add tests in
      tornado/test/httputil_test.py.
    - debian/patches/CVE-2025-67725-post1.patch: Fix in-operator being case
      sensitive due to last patch changes in tornado/httputil.py. Add tests in
      tornado/test/httputil_test.py.
    - CVE-2025-67725
  * SECURITY UPDATE: Denial of service due to inefficient parsing of HTTP
    header values.
    - debian/patches/CVE-2025-67726.patch: Change _parseparam logic in
      tornado/httputil.py. Add tests in tornado/test/httputil_test.py.
    - CVE-2025-67726
  * debian/patches/0008-higher-unquote-test-timeout-for-riscv-builds.patch:
    Increase time for unquote large test to make riscv64 builds pass in
    tornado/test/httputil_test.py, and increase timeouts in
    tornado/test/autoreload_test.py and tornado/test/iostream_test.py.

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Wed, 07 Jan 2026 12:05:11 -0330

python-tornado (6.0.3+really5.1.1-3ubuntu0.1~esm1) focal-security; urgency=medium

  * SECURITY UPDATE: Open redirect.
    - debian/patches/CVE-2023-28370: Add self.requests.path.startswith("//"):
      to tornado/web.py.
    - CVE-2023-28370
  * SECURITY UPDATE: Cookie header denial of service.
    - debian/patches/CVE-2024-52804.patch: Replace algorithm in _OctalPatt,
      _QuotePatt, and _nulljoin with _unquote_sub in tornado/httputil.py. Add
      tests.
    - CVE-2024-52804

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 29 Nov 2024 11:33:33 -0330

python-tornado (6.0.3+really5.1.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938220

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Apr 2020 16:42:59 -0400

python-tornado (6.0.3+really5.1.1-2) unstable; urgency=medium

  * Applied patches from Ubuntu to fix Python 3.8 FTBFS:
    - d/p/py38-0001-test-silence-deprecation-warning.patch
    - d/p/py38-0002-dont-log-CancelledError.patch: Cherry-picked from upstream
      master to fix issues detected by failing py38 tests.
    (Closes: #945222)

 -- Ondřej Nový <onovy@debian.org>  Fri, 22 Nov 2019 09:16:53 +0100

python-tornado (6.0.3+really5.1.1-1) unstable; urgency=medium

  * Re-upload old version so deps can follow.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 20 Oct 2019 10:45:08 +0200

python-tornado (6.0.3-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * Bump ASYNC_TEST_TIMEOUT when running the autopkgtests as well.

  [ Gianfranco Costamagna ]
  * Commit Ubuntu delta in Debian packaging repo

  [ Julien Puydt ]
  * New upstream release 6.0.3 (Closes: #939271)
  * Bump std-vers to 4.4.0.
  * Update patches (and drop those upstreamed [new CRT and reproducible]).
  * Adapt to upstream only supporting Python 3 (Closes: #938220)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Julien Puydt ]
  * Add python3-sphinxcontrib-asyncio as new build-dep.
  * Use my debian.org mail address.
  * Update lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 19 Oct 2019 22:48:34 +0200

=== debian/control ===
Source: python-tornado
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Carl Chenet <chaica@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
           Julian Taylor <jtaylor.debian@googlemail.com>,
           Julien Puydt <julien.puydt@laposte.net>,
           Ondřej Nový <onovy@debian.org>,
Build-Depends: ca-certificates,
               debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-doc,
               python3-mock,
               python3-pycurl,
               python3-setuptools,
               python3-singledispatch,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-twisted,
Standards-Version: 4.4.1
Homepage: https://www.tornadoweb.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-tornado.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tornado

Package: python3-tornado
Architecture: any
Depends: ca-certificates,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python3-pycurl,
          python-tornado-doc,
          python3-twisted,
Breaks: python3-zmq (<< 17.0.0-1~)
Description: scalable, non-blocking web server and tools - Python 3 package
 Tornado is a Python web framework and asynchronous networking library,
 originally developed at FriendFeed. By using non-blocking network I/O,
 Tornado can scale to tens of thousands of open connections, making it ideal
 for long polling, WebSockets, and other applications that require a
 long-lived connection to each user.
 .
 This is the Python 3 version of the package.

Package: python-tornado-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         python3-doc,
Description: scalable, non-blocking web server and tools - documentation
 Tornado is a Python web framework and asynchronous networking library,
 originally developed at FriendFeed. By using non-blocking network I/O,
 Tornado can scale to tens of thousands of open connections, making it ideal
 for long polling, WebSockets, and other applications that require a
 long-lived connection to each user.
 .
 This package contains the documentation.

## python-tornado 6.0.3+really5.1.1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-tornado
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Carl Chenet <chaica@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Julian Taylor <jtaylor.debian@googlemail.com>,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export HOME=/tmp
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom PYTHONPATH=. dh_auto_test
@@ -21,7 +21,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	python3 -m sphinx -b html docs $(CURDIR)/debian/python-tornado-doc/usr/share/doc/python-tornado/html
+	python3 -m sphinx -b html docs $(CURDIR)/debian/python-tornado-doc/usr/share/doc/python-tornado-doc/html
 	dh_sphinxdoc
 endif

## python-tornado 6.0.4

=== debian/changelog ===
python-tornado (6.0.4-2) unstable; urgency=medium

  * Add breaks against pcs (<< 0.10.5-1), mitmproxy (<< 5)
  * Upload to unstable

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 May 2020 19:07:07 +0000

python-tornado (6.0.4-1) experimental; urgency=medium

  * New upstream release: 6.0.4 (Closes: #939271, again)
  * Refresh patches:
     - Applied upstream:
       + d/p/py38-0001-test-silence-deprecation-warning.patch
       + d/p/py38-0002-dont-log-CancelledError.patch
       + d/p/New_test_crt.patch
     - No longer needed:
       + d/p/0006-Use-SOURCE_DATE_EPOCH-for-copyright-year-to-make-build-reproducible.patch
  * Reintroduce dependency on python3-sphinxcontrib-asyncio
  * Update to Standards-Version 4.5.0
  * Declare Rules-Requires-Root: no

 -- Gordon Ball <gordon@chronitis.net>  Wed, 29 Apr 2020 13:19:45 +0000

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,13 @@
                python3-singledispatch,
                python3-sphinx,
                python3-sphinx-rtd-theme,
+               python3-sphinxcontrib-asyncio,
                python3-twisted,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.tornadoweb.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-tornado.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tornado
+Rules-Requires-Root: no
 
 Package: python3-tornado
 Architecture: any
@@ -33,7 +35,9 @@
 Suggests: python3-pycurl,
           python-tornado-doc,
           python3-twisted,
-Breaks: python3-zmq (<< 17.0.0-1~)
+Breaks: python3-zmq (<< 17.0.0-1~),
+        pcs (<< 0.10.5-1~),
+        mitmproxy (<< 5.0~)
 Description: scalable, non-blocking web server and tools - Python 3 package
  Tornado is a Python web framework and asynchronous networking library,
  originally developed at FriendFeed. By using non-blocking network I/O,

## python-tornado 6.1.0

=== maint/requirements.txt ===
alabaster==0.7.12
appdirs==1.4.3
attrs==19.1.0
automat==0.7.0
babel==2.6.0
black==19.3b0
bleach==3.1.1
certifi==2019.3.9
cffi==1.12.3
chardet==3.0.4
click==7.0
constantly==15.1.0
coverage==4.5.3
docutils==0.14
entrypoints==0.3
filelock==3.0.10
flake8==3.7.7
hyperlink==19.0.0
idna==2.8
imagesize==1.1.0
incremental==17.5.0
jinja2==2.10.1
markupsafe==1.1.1
mccabe==0.6.1
mypy-extensions==0.4.1
mypy==0.630
packaging==19.0
pep8==1.7.1
pkginfo==1.5.0.1
pluggy==0.9.0
py==1.8.0
pycares==3.0.0
pycodestyle==2.5.0
pycparser==2.19
pycurl==7.43.0.2
pyflakes==2.1.1
pygments==2.3.1
pyhamcrest==1.9.0
pyparsing==2.4.0
pytz==2019.1
readme-renderer==24.0
requests-toolbelt==0.9.1
requests==2.21.0
six==1.12.0
snowballstemmer==1.2.1
sphinx-rtd-theme==0.4.3
sphinx==2.0.1
sphinxcontrib-applehelp==1.0.1
sphinxcontrib-asyncio==0.2.0
sphinxcontrib-devhelp==1.0.1
sphinxcontrib-htmlhelp==1.0.2
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.2
sphinxcontrib-serializinghtml==1.1.3
toml==0.10.0
tox==3.9.0
tqdm==4.31.1
twine==1.13.0
twisted==19.7.0
typed-ast==1.1.2
urllib3==1.24.3
virtualenv==16.5.0
webencodings==0.5.1
zope.interface==4.6.0

=== debian/changelog ===
python-tornado (6.1.0-1) unstable; urgency=medium

  * New upstream version 6.1.0
  * Rebase patches, drop fix_971108.patch (fixed upstream)

 -- Gordon Ball <gordon@chronitis.net>  Fri, 13 Nov 2020 19:13:45 +0000

python-tornado (6.0.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * Update patch headers so lintian doesn't complain.
  * Update lintian overrides.
  * Use my @debian.org mail address.
  * Bump dh compat to 13.
  * Add upstream patch (Closes: #971108).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Oct 2020 08:08:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYTHONPATH=. dh_auto_test
+	# unset http[s]_proxy here, since otherwise pycurl picks these variables up and tests fail
+	PYBUILD_SYSTEM=custom PYTHONPATH=. http_proxy= https_proxy= dh_auto_test
 
 override_dh_compress:
 	dh_compress -X.py

=== debian/tests/control ===
Tests: python3
Depends: python3-all,
         python3-mock,
         python3-pycurl,
         python3-tornado,
         python3-twisted,

## python-tornado 6.2.0

=== docs/requirements.txt ===
﻿alabaster==0.7.12
Babel==2.10.1
certifi==2022.5.18.1
charset-normalizer==2.0.12
colorama==0.4.4
docutils==0.17.1
idna==3.3
imagesize==1.3.0
importlib-metadata==4.11.4
Jinja2==3.1.2
MarkupSafe==2.1.1
packaging==21.3
Pygments==2.12.0
pyparsing==3.0.9
pytz==2022.1
requests==2.27.1
snowballstemmer==2.2.0
Sphinx==5.0.1
sphinx-rtd-theme==1.0.0
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-asyncio==0.3.0
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5
urllib3==1.26.9
zipp==3.8.0

=== debian/changelog ===
python-tornado (6.2.0-3ubuntu0.1) lunar-security; urgency=medium

  * SECURITY UPDATE: Open redirect vulnerability
   - debian/patches/CVE-2023-28370.patch: fix an open
     redirect in StaticFileHandler in tornado/web.py.
   - CVE-2023-28370

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 05 Jun 2023 11:44:15 -0300

python-tornado (6.2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-tornado-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 12:24:11 +0000

python-tornado (6.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + python3-tornado: Drop versioned constraint on python3-zmq in Breaks.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 02:43:30 +0100

python-tornado (6.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.
  * Refresh patches.
  * Run tests for all supported Python 3 versions.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 10 Jul 2022 23:08:31 +0200

python-tornado (6.1.0-3) unstable; urgency=medium

  * Drop a dead link. (Closes: #988772)
  * Add a patch replace_deprecated_unittest_aliases.patch.
  * Bump standards-version to 4.6.0.
  * Refresh lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Dec 2021 09:57:21 +0100

python-tornado (6.1.0-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * Patch: Ignore known DeprecationWarnings in Python 3.10 (Closes: #1000287)

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 20 Nov 2021 22:10:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: python-tornado
 Section: web
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Carl Chenet <chaica@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Julian Taylor <jtaylor.debian@googlemail.com>,
-           Julien Puydt <julien.puydt@laposte.net>,
+           Julien Puydt <jpuydt@debian.org>,
            Ondřej Nový <onovy@debian.org>,
 Build-Depends: ca-certificates,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-doc,
@@ -20,10 +21,10 @@
                python3-sphinx-rtd-theme,
                python3-sphinxcontrib-asyncio,
                python3-twisted,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://www.tornadoweb.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-tornado.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tornado
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-tornado.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tornado
 Rules-Requires-Root: no
 
 Package: python3-tornado
@@ -35,8 +36,7 @@
 Suggests: python3-pycurl,
           python-tornado-doc,
           python3-twisted,
-Breaks: python3-zmq (<< 17.0.0-1~),
-        pcs (<< 0.10.5-1~),
+Breaks: pcs (<< 0.10.5-1~),
         mitmproxy (<< 5.0~)
 Description: scalable, non-blocking web server and tools - Python 3 package
  Tornado is a Python web framework and asynchronous networking library,
@@ -53,6 +53,7 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
          python3-doc,
+Multi-Arch: foreign
 Description: scalable, non-blocking web server and tools - documentation
  Tornado is a Python web framework and asynchronous networking library,
  originally developed at FriendFeed. By using non-blocking network I/O,

## python-tornado 6.3.2

=== debian/changelog ===
python-tornado (6.3.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1036875).
  * Refresh patches.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 26 Jun 2023 07:42:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-tornado
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Carl Chenet <chaica@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Julian Taylor <jtaylor.debian@googlemail.com>,
@@ -21,7 +20,7 @@
                python3-sphinx-rtd-theme,
                python3-sphinxcontrib-asyncio,
                python3-twisted,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.tornadoweb.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tornado.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tornado

## python-tornado 6.4.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile
#
alabaster==0.7.13
    # via sphinx
babel==2.11.0
    # via sphinx
black==22.12.0
    # via -r requirements.in
build==0.10.0
    # via pip-tools
cachetools==5.3.1
    # via tox
certifi==2023.7.22
    # via requests
chardet==5.1.0
    # via tox
charset-normalizer==3.0.1
    # via requests
click==8.1.3
    # via
    #   black
    #   pip-tools
colorama==0.4.6
    # via tox
distlib==0.3.6
    # via virtualenv
docutils==0.17.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
filelock==3.12.0
    # via
    #   tox
    #   virtualenv
flake8==6.0.0
    # via -r requirements.in
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via sphinx
markupsafe==2.1.2
    # via jinja2
mccabe==0.7.0
    # via flake8
mypy==1.0.1
    # via -r requirements.in
mypy-extensions==0.4.3
    # via
    #   black
    #   mypy
packaging==23.1
    # via
    #   build
    #   pyproject-api
    #   sphinx
    #   tox
pathspec==0.10.3
    # via black
pip-tools==7.1.0
    # via -r requirements.in
platformdirs==3.5.1
    # via
    #   black
    #   tox
    #   virtualenv
pluggy==1.0.0
    # via tox
pycodestyle==2.10.0
    # via flake8
pyflakes==3.0.1
    # via flake8
pygments==2.15.0
    # via sphinx
pyproject-api==1.5.1
    # via tox
pyproject-hooks==1.0.0
    # via build
pytz==2022.7.1
    # via babel
requests==2.31.0
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==5.3.0
    # via
    #   -r requirements.in
    #   sphinx-rtd-theme
    #   sphinxcontrib-asyncio
sphinx-rtd-theme==1.1.1
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.3
    # via sphinx
sphinxcontrib-asyncio==0.3.0
    # via -r requirements.in
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
tox==4.6.0
    # via -r requirements.in
types-pycurl==7.45.2.0
    # via -r requirements.in
typing-extensions==4.4.0
    # via mypy
urllib3==1.26.18
    # via requests
virtualenv==20.23.0
    # via tox
wheel==0.38.4
    # via pip-tools

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

=== debian/changelog ===
python-tornado (6.4.0-2) unstable; urgency=medium

  * Team upload.
  * Allow to instantiate an empty AsyncTestCase (Closes: #1072153)
  * Bump Standards-Version to 4.7.0

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

 -- Timo Röhling <roehling@debian.org>  Wed, 29 May 2024 12:47:59 +0200

python-tornado (6.4.0-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * New upstream version 6.4.0 (Closes: #1042594, #1056508, #1058128)
  * remove old dependency on python3-mock, upstream uses unittest.mock

  [ Stefano Rivera ]
  * Patch: Handle PYTHONPATH in autoreload_test.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 21 Jan 2024 16:06:11 -0400

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,11 @@
            Yaroslav Halchenko <debian@onerussian.com>,
            Julian Taylor <jtaylor.debian@googlemail.com>,
            Julien Puydt <jpuydt@debian.org>,
-           Ondřej Nový <onovy@debian.org>,
 Build-Depends: ca-certificates,
                debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-doc,
-               python3-mock,
                python3-pycurl,
                python3-setuptools,
                python3-singledispatch,
@@ -20,7 +18,7 @@
                python3-sphinx-rtd-theme,
                python3-sphinxcontrib-asyncio,
                python3-twisted,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.tornadoweb.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tornado.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tornado

## python-tornado 6.4.1

=== debian/changelog ===
python-tornado (6.4.1-2ubuntu0.2) oracular-security; urgency=medium

  * SECURITY UPDATE: denial of service
    - debian/patches/CVE-2025-47287.patch: httputil: Raise errors
      instead of logging in multipart/form-data parsing
    - CVE-2025-47287

 -- Shishir Subedi <shishir.subedi@canonical.com>  Mon, 19 May 2025 14:55:36 +0545

python-tornado (6.4.1-2ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Cookie header denial of service.
    - debian/patches/CVE-2024-52804.patch: Replace algorithm in _OctalPatt,
      _QuotePatt, and _nulljoin with _unquote_sub in tornado/httputil.py. Add
      tests.
    - CVE-2024-52804

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 28 Nov 2024 16:38:20 -0330

python-tornado (6.4.1-2) unstable; urgency=medium

  * Team upload.
  * Fix tests with Twisted 24.7.0 (closes: #1078411).
  * Fix tests with openssl >= 3.3.1-5 (see discussion in #965041).

 -- Colin Watson <cjwatson@debian.org>  Mon, 19 Aug 2024 17:06:53 +0100

python-tornado (6.4.1-1) unstable; urgency=medium

  * Remove hurd patch - obsolete according to upstream
  * Package new upstream.
  * Drop obsolete patch for empty AsyncTestCase

 -- Julien Puydt <jpuydt@debian.org>  Thu, 13 Jun 2024 17:28:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-tornado
 Section: web
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Carl Chenet <chaica@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Julian Taylor <jtaylor.debian@googlemail.com>,

## python-tornado 6.4.2

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
     # via sphinx
 babel==2.11.0
     # via sphinx
-black==22.12.0
+black==24.4.2
     # via -r requirements.in
 build==0.10.0
     # via pip-tools
@@ -38,11 +38,11 @@
     #   virtualenv
 flake8==6.0.0
     # via -r requirements.in
-idna==3.4
+idna==3.7
     # via requests
 imagesize==1.4.1
     # via sphinx
-jinja2==3.1.2
+jinja2==3.1.4
     # via sphinx
 markupsafe==2.1.2
     # via jinja2
@@ -56,6 +56,7 @@
     #   mypy
 packaging==23.1
     # via
+    #   black
     #   build
     #   pyproject-api
     #   sphinx
@@ -83,7 +84,7 @@
     # via build
 pytz==2022.7.1
     # via babel
-requests==2.31.0
+requests==2.32.2
     # via sphinx
 snowballstemmer==2.2.0
     # via sphinx

=== demos/blog/requirements.txt ===
aiopg
bcrypt
markdown
psycopg2
tornado

=== debian/changelog ===
python-tornado (6.4.2-1ubuntu0.25.04.1) plucky-security; urgency=medium

  * SECURITY UPDATE: denial of service
    - debian/patches/CVE-2025-47287.patch: httputil: Raise errors
      instead of logging in multipart/form-data parsing
    - CVE-2025-47287

 -- Shishir Subedi <shishir.subedi@canonical.com>  Mon, 19 May 2025 13:28:53 +0545

python-tornado (6.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2024-52804: Parsing of the cookie header is now much more
      efficient.  The older algorithm sometimes had quadratic performance
      which allowed for a denial-of-service attack in which the server would
      spend excessive CPU time parsing cookies and block the event loop
      (closes: #1088112).

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Nov 2024 13:09:50 +0000

python-tornado (6.4.1-3) unstable; urgency=medium

  * Team upload.
  * Remove dependency on old singledispatch backport
  * Disable on test that fails on Salsa CI but not locally

 -- Alexandre Detiste <tchet@debian.org>  Wed, 25 Sep 2024 10:15:25 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                python3-doc,
                python3-pycurl,
                python3-setuptools,
-               python3-singledispatch,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-sphinxcontrib-asyncio,

=== debian/tests/control ===
Tests: python3
Depends: python3-all,
         python3-pycurl,
         python3-tornado,
         python3-twisted,

## python-tornado 6.5.2

=== debian/changelog ===
python-tornado (6.5.2-3) unstable; urgency=medium

  * Team upload.
  * Increase timeout to fix ftbfs issue on slow architectures.
    Thanks to Aurelien Jarno <aurel32@debian.org>. (Closes: #1117144)

 -- Bo YU <vimer@debian.org>  Sat, 04 Oct 2025 18:42:36 +0800

python-tornado (6.5.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 11:43:57 +0200

python-tornado (6.5.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refreshed some patches.
  * Removed pythonpath-autoreload-test.patch now useless.
  * Removed CVE-2025-47287.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Aug 2025 11:13:28 +0200

python-tornado (6.4.2-3) unstable; urgency=medium

  * Team upload.
  * Increase timeout on riscv64 to fix FTBFS issue. (Closes: #1106130)

 -- Bo YU <vimer@debian.org>  Thu, 22 May 2025 21:16:28 +0800

python-tornado (6.4.2-2) unstable; urgency=medium

  * Team upload.
  * CVE-2025-47287: httputil: Raise errors instead of logging in
    multipart/form-data parsing (closes: #1105886).

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 May 2025 16:43:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-tornado
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Carl Chenet <chaica@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Julian Taylor <jtaylor.debian@googlemail.com>,

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 export ASYNC_TEST_TIMEOUT=30
 # py3 tests is failling without this
 export HOME=/tmp
+# See discussion in https://bugs.debian.org/965041.
+export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/.alpha/~alpha/;s/.beta/~beta/;s/.rc/~rc/;s/([0-9])b([0-9]*)/$1~b$2/g \
https://github.com/tornadoweb/tornado/tags .*/v(.*).tar.gz

## python-tornado 6.5.4

=== debian/changelog ===
python-tornado (6.5.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - CVE-2025-67724: Header injection and XSS via reason argument.
      (Closes: #1122660)
    - CVE-2025-67725: Quadratic DoS via Repeated Header Coalescing.
      (Closes: #1122661)
    - CVE-2025-67726: Quadratic DoS via Crafted Multipart Parameters.
      (Closes: #1122663)

 -- Adrian Bunk <bunk@debian.org>  Mon, 05 Jan 2026 13:12:01 +0200
